VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::techpreview::networking::firewall::addr::InboundTypes::DeleteFirewallRule Class Reference

`Inbound.DeleteFirewallRule` class Structure that defines networking.firewall.addr.inbound.delete api input argument More...

List of all members.

## Public Member Functions
| DeleteFirewallRule ()
| Creates a default new instance.
long | GetPosition ()
| Position before which to insert the rule (zero-based).
void | SetPosition (long position)
| Position before which to insert the rule (zero-based).
bool | GetAll ()
| Delete all firewall rules.
void | SetAll (bool all)
| Delete all firewall rules.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

`Inbound.DeleteFirewallRule` class Structure that defines networking.firewall.addr.inbound.delete api input argument

## Constructor & Destructor Documentation

vmware::appliance::techpreview::networking::firewall::addr::InboundTypes::DeleteFirewallRule::DeleteFirewallRule | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::appliance::techpreview::networking::firewall::addr::InboundTypes::DeleteFirewallRule::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::appliance::techpreview::networking::firewall::addr::InboundTypes::DeleteFirewallRule::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::appliance::techpreview::networking::firewall::addr::InboundTypes::DeleteFirewallRule::_GetType | ( |  | ) | `[inline]`

bool vmware::appliance::techpreview::networking::firewall::addr::InboundTypes::DeleteFirewallRule::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::appliance::techpreview::networking::firewall::addr::InboundTypes::DeleteFirewallRule::_Validate | ( |  | ) | `[inline]`

override bool vmware::appliance::techpreview::networking::firewall::addr::InboundTypes::DeleteFirewallRule::Equals | ( | object | obj | ) | `[inline]`

bool vmware::appliance::techpreview::networking::firewall::addr::InboundTypes::DeleteFirewallRule::GetAll | ( |  | ) | `[inline]`

Delete all firewall rules.

Set all argument to "true" to delete all rules or set the all argument to "false" to delete a single rule.

override int vmware::appliance::techpreview::networking::firewall::addr::InboundTypes::DeleteFirewallRule::GetHashCode | ( |  | ) | `[inline]`

long vmware::appliance::techpreview::networking::firewall::addr::InboundTypes::DeleteFirewallRule::GetPosition | ( |  | ) | `[inline]`

Position before which to insert the rule (zero-based).

If you try to insert the rule in a position whose number is greater than the number of rules, the firewall rule is inserted at the end of the list.

void vmware::appliance::techpreview::networking::firewall::addr::InboundTypes::DeleteFirewallRule::SetAll | ( | bool | all | ) | `[inline]`

Delete all firewall rules.

Set all argument to "true" to delete all rules or set the all argument to "false" to delete a single rule.

void vmware::appliance::techpreview::networking::firewall::addr::InboundTypes::DeleteFirewallRule::SetPosition | ( | long | position | ) | `[inline]`

Position before which to insert the rule (zero-based).

If you try to insert the rule in a position whose number is greater than the number of rules, the firewall rule is inserted at the end of the list.

override string vmware::appliance::techpreview::networking::firewall::addr::InboundTypes::DeleteFirewallRule::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- InboundTypes.cs